%global _empty_manifest_terminate_build 0
Name:		python-contourpy
Version:	1.0.7
Release:	1
Summary:	Python library for calculating contours of 2D quadrilateral grids
License:	BSD-3-Clause
URL:		https://github.com/contourpy/contourpy
Source0:	https://files.pythonhosted.org/packages/b4/9b/6edb9d3e334a70a212f66a844188fcb57ddbd528cbc3b1fe7abfc317ddd7/contourpy-1.0.7.tar.gz
BuildRequires: python3-pybind11 gcc-c++ python3-pip python3-wheel

%description
ContourPy is a Python library for calculating contours of 2D quadrilateral grids. It is written in C++11 and wrapped using pybind11.

%package -n python3-contourpy
Summary:	Python library for calculating contours of 2D quadrilateral grids
Provides:	python-contourpy
BuildRequires:	python3-devel
%description -n python3-contourpy
ContourPy is a Python library for calculating contours of 2D quadrilateral grids. It is written in C++11 and wrapped using pybind11.

%package help
Summary:	Development documents and examples for contourpy
Provides:	python3-contourpy-doc
%description help
ContourPy is a Python library for calculating contours of 2D quadrilateral grids. It is written in C++11 and wrapped using pybind11.

%prep
%autosetup -n contourpy-1.0.7

%build
%pyproject_build

%install
%pyproject_install contourpy==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi


%files -n python3-contourpy
%{python3_sitearch}/*

%files help
%{_docdir}/*

%changelog
* Fri May 05 2023 wulei <wu_lei@hoperun.com> - 1.0.7-1
- Package init
